---
- name: A-Team Pipeline | k8s | Openshift Pipelines Operator Subscription
  kubernetes.core.k8s:
    api_key: "{{ ocp_key }}"
    host: "{{ ocp_host }}"
    validate_certs: "{{ validate_certs }}"
    state: present
    definition:
      apiVersion: operators.coreos.com/v1alpha1
      kind: Subscription
      metadata:
        name: openshift-pipelines-operator-rh
        namespace: openshift-operators
      spec:
        channel: stable
        installPlanApproval: Automatic
        name: openshift-pipelines-operator-rh
        source: redhat-operators
        sourceNamespace: openshift-marketplace
        startingCSV: redhat-openshift-pipelines.v1.5.2

- name: A-Team Pipeline | k8s | Wait for subscription to proceed
  kubernetes.core.k8s_info:
    api_key: "{{ ocp_key }}"
    host: "{{ ocp_host }}"
    validate_certs: "{{ validate_certs }}"
    kind: Subscription
    wait: true
    name: openshift-pipelines-operator-rh
    namespace: openshift-operators
    wait_sleep: 10
    wait_timeout: 360

- name: A-Team Pipeline | k8s | Wait for tektonConfig to proceed
  kubernetes.core.k8s_info:
    api_key: "{{ ocp_key }}"
    host: "{{ ocp_host }}"
    validate_certs: "{{ validate_certs }}"
    kind: TektonConfig
    wait: true
    name: config
    wait_sleep: 10
    wait_timeout: 360

- name: A-Team Pipeline | k8s | Openshift Pipelines Config
  kubernetes.core.k8s:
    api_key: "{{ ocp_key }}"
    host: "{{ ocp_host }}"
    validate_certs: "{{ validate_certs }}"
    state: present
    definition:
      apiVersion: operator.tekton.dev/v1alpha1
      kind: TektonConfig
      metadata:
        name: config
      spec:
        targetNamespace: openshift-pipelines
        profile: all
        config: {}
        pipeline:
          disable-affinity-assistant: false
          disable-creds-init: false
          disable-home-env-overwrite: false
          disable-working-directory-overwrite: false
          enable-api-fields: stable
          enable-custom-tasks: false
          enable-tekton-oci-bundles: false
          metrics.pipelinerun.duration-type: histogram
          metrics.pipelinerun.level: pipelinerun
          metrics.taskrun.duration-type: histogram
          metrics.taskrun.level: taskrun
          require-git-ssh-secret-known-hosts: false
          running-in-environment-with-injected-sidecars: true
        pruner:
          resources:
            - pipelinerun
          keep: 30
          schedule: "*/3 * * * *"
        addon:
          params:
            - name: "clusterTasks"
              value: "true"
        dashboard: {}

- name: A-Team Pipeline | k8s | Set Subscription to Manual approval post-install
  kubernetes.core.k8s:
    api_key: "{{ ocp_key }}"
    host: "{{ ocp_host }}"
    validate_certs: "{{ validate_certs }}"
    state: present
    definition:
      apiVersion: operators.coreos.com/v1alpha1
      kind: Subscription
      metadata:
        name: openshift-pipelines-operator-rh
        namespace: openshift-operators
      spec:
        channel: stable
        installPlanApproval: Manual
        name: openshift-pipelines-operator-rh
        source: redhat-operators
        sourceNamespace: openshift-marketplace
        startingCSV: redhat-openshift-pipelines.v1.5.2
